# Tridenta

An Android app for **public transport** in the italian region "*Trentino*". You can view information about **stops**, **lines** and most importantly **trips**, whose **delay** can be queried in **real time**! The shown data is the same as that shown in the official "[Muoversi In Trentino](https://www.trentinotrasporti.it/en/travel-with-us/muoversi-en)" application, except that there are *fewer* errors and slowdowns. Tridenta has a **modern look** and was built using [Jetpack Compose](https://developer.android.com/jetpack/compose) and [Material 3](https://m3.material.io/).

<p align="center">
    <a href="https://f-droid.org/packages/org.stypox.tridenta">
        <img height="80" alt="Get it on F-Droid" src="https://fdroid.gitlab.io/artwork/badge/get-it-on.png">
    </a>
    <a href="https://github.com/Stypox/tridenta/releases">
        <img height="80" alt="Get it on GitHub" src="https://github.com/Stypox/dicio-android/raw/05e06e3d24f303fbb7662b0c853ca63de1564b97/meta/get-it-on-github.png">
    </a>
    <a href="https://play.google.com/store/apps/details?id=org.stypox.tridenta">
        <img height="80" alt="Get it on Play Store" src="https://play.google.com/intl/en_us/badges/static/images/badges/en_badge_web_generic.png">
    </a>
</p>

## Screenshots

[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/0.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/0.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/1.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/1.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/2.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/2.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/3.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/3.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/4.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/4.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/5.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/5.png)
[<img src="./fastlane/metadata/android/en-US/images/phoneScreenshots/6.png" width=200>](./fastlane/metadata/android/en-US/images/phoneScreenshots/6.png)

## Features

- **Stops**: view and search stops all across Trentino, and see which lines pass by a stop
- **Lines**: filter urban and suburban lines by area by choosing from a map of Trentino
- **Trips**: view trips performed by a line or passing by a stop at a specific time, with arrival times, delay, headsign and direction information
- **Favorites** and history are shown in the drawer for easy access to the lines or stops you use the most
- **Shortcuts** in your phone's application launcher can link directly to a specific screen inside Tridenta, allowing you to save even more time

Tridenta handles *errors without crashing* and also has a logs screen for viewing stack traces and other logs, if needed. There is a nice *about screen*, too!

## Translations

Tridenta is available in English, Italian and German.
